<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexCacheProfiler Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#7c5a21c77c8c968f263900909417ea28">buffersize</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#d72231fffc5f97675058ebe22bdbba27">cache</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> enum name</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9e3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a> enum value</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a8578416f0d313a75d39a30c5d47123a">flush</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#9f0a043c69c3b8f472cdff618bccc624">getHits</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b6ea00ce8ef7a1d1d8676b98cd2c128">getMisses</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#b89c85abff1af843322f4210afd25a16">getSize</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#eeb3c8f51e564ad830af050cfe754213">hit</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b855ce6273c82f3790bdcda2ac9ea4f">inCache</a>(unsigned int index)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9d0fb7b7d84385dee76ad77538bb50acc">LRU</a> enum value</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#409b41e6232966ea68bdf0c7273eefb0">miss</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#7f82fe442519758e19ff36f211757a72">profile</a>(const HardwareIndexBufferSharedPtr &amp;indexBuffer)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#73303582f428106fc0b3177d11984228">reset</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#dc56faf57c63b1d1df6bb2f09892b3b5">size</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#35553327f48981689555cc00eb97d339">tail</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#fb8e69a97d30c33f8ba37abe54522110">type</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#967ec965713da4ce36c461e847f964f9">VertexCacheProfiler</a>(unsigned int cachesize=16, CacheType cachetype=FIFO)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#6ab7499e2083ad5f35f34a816806cef8">~VertexCacheProfiler</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:10 2008
</p>
</body>
</html>
